## upb 0.0.0~git200409

=== CMakeLists.txt ===
# This file was generated from BUILD using tools/make_cmakelists.py.

cmake_minimum_required(VERSION 3.1)

if(${CMAKE_VERSION} VERSION_LESS 3.12)
    cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
else()
    cmake_policy(VERSION 3.12)
endif()

cmake_minimum_required (VERSION 3.0)
cmake_policy(SET CMP0048 NEW)

project(upb)


# Prevent CMake from setting -rdynamic on Linux (!!).
SET(CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "")
SET(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS "")

# Set default build type.
if(NOT CMAKE_BUILD_TYPE)
  message(STATUS "Setting build type to 'RelWithDebInfo' as none was specified.")
  set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING
      "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif()

# When using Ninja, compiler output won't be colorized without this.
include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG(-fdiagnostics-color=always SUPPORTS_COLOR_ALWAYS)
if(SUPPORTS_COLOR_ALWAYS)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdiagnostics-color=always")
endif()

# Implement ASAN/UBSAN options
if(UPB_ENABLE_ASAN)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=address")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -fsanitize=address")
endif()

if(UPB_ENABLE_UBSAN)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=address")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -fsanitize=address")
endif()

include_directories(.)
include_directories(generated_for_cmake)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(APPLE)
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -undefined dynamic_lookup -flat_namespace")
elseif(UNIX)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--build-id")
endif()

enable_testing()

add_library(port
  upb/port.c)
add_library(upb
  upb/decode.c
  upb/encode.c
  upb/msg.c
  upb/msg.h
  upb/table.c
  upb/table.int.h
  upb/upb.c
  upb/decode.h
  upb/encode.h
  upb/upb.h
  upb/upb.hpp)
target_link_libraries(upb
  port)
add_library(generated_code_support__only_for_generated_code_do_not_use__i_give_permission_to_break_me INTERFACE)
target_link_libraries(generated_code_support__only_for_generated_code_do_not_use__i_give_permission_to_break_me INTERFACE
  table
  upb)
add_library(reflection
  upb/def.c
  upb/msg.h
  upb/reflection.c
  upb/def.h
  upb/def.hpp
  upb/reflection.h)
target_link_libraries(reflection
  descriptor_upbproto
  port
  table
  upb)
add_library(textformat
  upb/text_encode.c
  upb/text_encode.h)
target_link_libraries(textformat
  port
  reflection)
add_library(json
  upb/json_decode.c
  upb/json_encode.c
  upb/json_decode.h
  upb/json_encode.h)
target_link_libraries(json
  port
  reflection
  upb)
add_library(table INTERFACE)
target_link_libraries(table INTERFACE
  port
  upb)
add_library(handlers
  upb/handlers.c
  upb/handlers-inl.h
  upb/sink.c
  upb/handlers.h
  upb/sink.h)
target_link_libraries(handlers
  port
  reflection
  table
  upb)
add_library(upb_pb
  upb/pb/compile_decoder.c
  upb/pb/decoder.c
  upb/pb/decoder.int.h
  upb/pb/encoder.c
  upb/pb/textprinter.c
  upb/pb/varint.c
  upb/pb/varint.int.h
  upb/pb/decoder.h
  upb/pb/encoder.h
  upb/pb/textprinter.h)
target_link_libraries(upb_pb
  descriptor_upbproto
  handlers
  port
  reflection
  table
  upb)
add_library(upb_json
  generated_for_cmake/upb/json/parser.c
  upb/json/printer.c
  upb/json/parser.h
  upb/json/printer.h)
target_link_libraries(upb_json
  upb
  upb_pb)
add_library(upb_cc_bindings INTERFACE)
target_link_libraries(upb_cc_bindings INTERFACE
  descriptor_upbproto
  handlers
  port
  upb)
add_library(upb_test
  tests/testmain.cc
  tests/test_util.h
  tests/upb_test.h)
target_link_libraries(upb_test
  handlers
  port
  upb)

=== debian/changelog ===
upb (0.0.0~git200409-1) unstable; urgency=medium

  * New git snapshot release.
  * Update patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 11 Apr 2020 06:09:37 +0000

upb (0.0.0~git200311-1) unstable; urgency=medium

  * Initial release (closes: #955810).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 04 Apr 2020 21:35:16 +0000

## upb 0.0.0~git200730

=== CMakeLists.txt ===
--- 
+++ 
@@ -88,7 +88,7 @@
   upb/def.hpp
   upb/reflection.h)
 target_link_libraries(reflection
-  descriptor_upbproto
+  descriptor_upb_proto
   port
   table
   upb)
@@ -134,7 +134,7 @@
   upb/pb/encoder.h
   upb/pb/textprinter.h)
 target_link_libraries(upb_pb
-  descriptor_upbproto
+  descriptor_upb_proto
   handlers
   port
   reflection
@@ -150,7 +150,7 @@
   upb_pb)
 add_library(upb_cc_bindings INTERFACE)
 target_link_libraries(upb_cc_bindings INTERFACE
-  descriptor_upbproto
+  descriptor_upb_proto
   handlers
   port
   upb)

=== debian/changelog ===
upb (0.0.0~git200730-2) unstable; urgency=medium

  [ Laszlo Boszormenyi (GCS) ]
  * Set minimal CMake version to 3.25 (closes: #1113606).

  [ Vagrant Cascadian <vagrant@reproducible-builds.org> ]
  * Pass CMAKE_BUILD_RPATH_USE_ORIGIN=ON to configure to make package build
    reproducible (closes: #1003802).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 07 Oct 2025 16:35:46 +0200

upb (0.0.0~git200730-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063016

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 21:26:22 +0000

upb (0.0.0~git200730-1) unstable; urgency=medium

  * New git snapshot release.
  * Update patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Aug 2020 23:20:30 +0200

=== debian/control ===
Source: upb
Section: devel
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
   debhelper-compat (= 12), cmake
Standards-Version: 4.5.0
Homepage: https://github.com/protocolbuffers/upb/wiki

Package: libupb0t64
Provides: ${t64:Provides}
Replaces: libupb0
Breaks: libupb0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: small protobuf implementation in C
 upb generates a C API for creating, parsing, and serializing messages as
 declared in .proto files. upb is heavily arena-based: all messages always
 live in an arena (note: the arena can live in stack or static memory if
 desired).
 .
 This package contains the runtime libraries needed for upb.

Package: libupb-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libupb0t64 (= ${binary:Version})
Description: small protobuf implementation in C (development files)
 upb generates a C API for creating, parsing, and serializing messages as
 declared in .proto files. upb is heavily arena-based: all messages always
 live in an arena (note: the arena can live in stack or static memory if
 desired).
 .
 This package contains the development headers needed for upb.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS:BOOL=ON \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

%:
	dh $@

.PHONY: override_dh_auto_configure
